import * as z from 'zod';
export const NotificationUpdateResultSchema = z.nullable(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  type: z.unknown(),
  message: z.string(),
  createdAt: z.date(),
  read: z.boolean(),
  user: z.unknown()
}));